# Offene Fragen

## Datenverständnis

* Welche Einheit haben x und y? Pixel?
* Welche Einheit hat scale?
* rotation wirklich degree?
* Nach welchem Zeitintervall resettet sich der Tisch wieder in die
  Ausgangskonfiguration?

## Tisch-Software

* Gibt es Doku für die Bilder, die über die xml files hinausgeht? Sowas wie
  ein Manual oder ähnliches?
* Gibt es evtl. irgendwo noch ein Tablet mit der Anwendung drauf?
* Was bedeuten die Farben der Topic Cards?

## Event Logs

* Wie gehen wir mit "nicht geschlossenen" Events um? Einfach rauslöschen?
  - für Transform tendiere ich zu ja, weil sonst total uninteressant
  - bei flipCard bin ich nicht so sicher... Aber man kann dann keine
    duration berechnen, wäre NA
* Moves/scales/rotations ohne Veränderung würde ich auf jeden Fall
  rauslöschen
* Es ist nicht möglich (bzw. ich weiß nicht wie) zusammengehörige Events
  eineindeutig zu identifizieren
  - nach Heuristik vorgehen? Doppelte Transformation start und stop einfach
    raus?
  - Daten sind nicht "fehlerfrei"; es gibt z.B. Transformation-Events wo
    das Ende nicht geloggt wurde
* Wie identifiziere ich eine "Interaktionseinheit"?
  - Was ist ein "case"?
  - Eher grob über Zeitintervalle?
  - Noch irgendeine andere Idee?
* Herausfinden, ob mehr als eine Person am Tisch steht?
  - Sliding window, in der Anzahl von Artworks gezählt wird? Oder wie weit
    angefasste Artworks voneinander entfernt sind?
  - Man kann sowas schon "sehen" in den Logs - aber wie kann ich es
    automatisiert rausziehen? Was ist meine Definition von
    "Interaktionsboost"?
  - Egal wie wir es machen, geht es auf den "Event-Log-Daten"?
* Anreicherung der Log-Daten mit weiteren Metadaten? Was wäre interessant?
  - Metadata on artworks like, name, artist, type of artwork, epoch, etc.
 - School vacations and holidays
 - Special exhibits at the museum
 - Number of visitors per day
 - Age structure of visitors per day?
  - ... ????

## HAUM

* Bei Sven noch mal nachhaken wegen Besucherzahlen?




# Problems and how I handled them

This lists some problems with the log data that required decisions. These
decisions influence the outcome and maybe even the data quality. Hence, I
tried to document how I handled these problems and explain the decisions I
made.

## Weird behavior of `time_ms` and neg. `duration`values


## Events that only close (`date.start` is NA)


## Timestamps repeat



## Popups from glossar cannot be assigned to a specific artwork


## Assign a case variable based on "time heuristic"

## A `move`event does not record any change

## Add moves to `trace` variable




# Reading list

* @Arizmendi2022 [$-$]
* @Bannert2014 [x]
* @Bousbia2010 [$-$]
* @Cerezo2020
* @GerjetsSchwan2021 [x]
* @Goldhammer2020
* @Guenther2007
* @HuberBannert2023 [x]
* @Kroehne2018
* @SchwanGerjets2021 [x]
* @vanderAalst2016 [Chap. 2, x]
* @vanderAalst2016 [Chap. 3]
* @vanderAalst2016 [Chap. 5, x]
* @Wang2019

